Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Wed, 29 Apr 2015 00:04:26 +0300

On 04/28/2015 04:30 PM, Stefan Monnier wrote:

> The reason is because that `completion-metadata' says that the
> completion category is `buffer' and because completion-category-defaults
> says that for `buffer' completion, we should use the `substring' style
> by default.

Hmm, maybe we should introduce a new category, for reading symbols. 
Aside from xref, we could use it in describe-function/variable/etc.

Although the fact that it tries prefix matches first, and only falls 
back to substring matches, doesn't look too terrible to me.